<?php

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;

class DatabaseSeeder extends Seeder {

	public function run()
	{
		Model::unguard();

		$this->call('UserTableSeeder');
		$this->command->info('User table seeded!');

		$this->call('RoleTableSeeder');
		$this->command->info('Role table seeded!');

		$this->call('ObjectTableSeeder');
		$this->command->info('Object table seeded!');

		$this->call('CategorieTableSeeder');
		$this->command->info('Categorie table seeded!');

		$this->call('StockTableSeeder');
		$this->command->info('Stock table seeded!');

		$this->call('FournisseurTableSeeder');
		$this->command->info('Fournisseur table seeded!');

		$this->call('PhotoTableSeeder');
		$this->command->info('Photo table seeded!');

		$this->call('SubcategorieTableSeeder');
		$this->command->info('Subcategorie table seeded!');

		$this->call('Categories_subcategorieTableSeeder');
		$this->command->info('Categories_subcategorie table seeded!');

		$this->call('OcategorieTableSeeder');
		$this->command->info('Ocategorie table seeded!');
	}
}